공지사항

2021-12-13

[보안공지] Apache Log4j 2 보안 업데이트 권고


[ [보안공지] Apache Log4j 2 보안 업데이트 권고 ]
  • 개요
    • Apache 소프트웨어 재단은 자사의 Log4j 2에서 발생하는 취약점을 해결한 보안 업데이트 권고[1].
    • 공격자는 해당 취약점을 이용하여 악성코드 감염 등의 피해를 발생시킬수 있으므로, 최신 버전으로 업데이트 권고
  • 주요내용
    • Apache Log4j 2*에서 발생하는 원격코드 실행 취약점(CVE-2021-44228)[2]
    •    * 프로그램 작성 중 로그를 남기기 위해 사용되는 자바 기반의 오픈소스 유틸리티

  • 영향을 받는 버전
    • Apache Log4j 2
    •    - 2.0-beta9 ~ 2.14.1 모든버전

    • Apache Log4j 2를 사용하는 제품
    •    ※ 참고 사이트 [4]를 확인하여 해당 제품을 이용 중일 경우, 해당 제조사의 권고에 따라 패치 또는 대응 방안 적용

  • 해결방안
    • 2.0-beta9 ~ 2.10.0
    •    - JndiLookup 클래스를 경로에서 제거 : zip -q -d log4j-core-*.jar org/apache/logging/log4j/core/lookup/JndiLookup.class

    • 2.10 ~ 2.14.1
    •    - log4j2.formatMsgNoLookups 또는 LOG4J_FORMAT_MSG_NO_LOOKUPS 환경변수를 true로 설정

    • 제조사 홈페이지를 통해 최신버전(2.15.0)으로 업데이트 적용[3]
  • 기타 문의사항
    • 한국인터넷진흥원 사이버민원센터: 국번없이 118
  • 참고사이트

호스트웨이는 앞으로 더욱더 나은 서비스를 제공하기 위해 노력하겠습니다.
Global IT Service Partner HOSTWAY